#pragma once

#include "GenerationTemplate.h"

class TreeTemplate : public GenerationTemplate
{
private:
	const BlockType* zWoodType;
	const BlockType* zLeaveType;
	int minHeight;
	int maxHeight;

public:
	TreeTemplate(float propability, const BlockType* zWoodType, const BlockType* zLeaveType, int minHeight, int maxHeight);
	virtual GeneratedStructure* generateAt(Framework::Vec3<int> location, Noise* zNoise) override;
};