#include "ItemSkill.h"


ItemSkill::ItemSkill(const ItemType* zSkillType)
	: Framework::ReferenceCounter(),
	skillType(zSkillType)
{}

const ItemType* ItemSkill::zSkillType()
{
	return skillType;
}


BasicItemSkill::BasicItemSkill(const ItemType* zSkillType, float maxXP, float durabilityModifier, float speedModifier, float luckModifier, float staminaModifier, float hungerModifier, float xpIncrease)
	: ItemSkill(zSkillType),
	level(1),
	xp(0),
	maxXP(maxXP),
	durabilityModifier(durabilityModifier),
	speedModifier(speedModifier),
	luckModifier(luckModifier),
	staminaModifier(staminaModifier),
	hungerModifier(hungerModifier)
{}

void BasicItemSkill::use(Entity* zActor, Item* zUsedItem, Block* zTarget)
{}

void BasicItemSkill::use(Entity* zActor, Item* zUsedItem, Entity* zTarget)
{}