#pragma once

#include <Text.h>
#include <Array.h>
#include <Writer.h>


class ModelInfo
{
private:
	const Framework::Text modelPath;
	Framework::RCArray<Framework::Text> texturePaths;

public:
	ModelInfo(const char* modelPath, const char* texturPath, int textureCount);
	ModelInfo(const char* modelPath, std::initializer_list<const char*> texturePaths);
	void writeTo(Framework::StreamWriter* zWriter) const;
};